#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string s;
    cin >> s;
    int x = 0,y = 0;
    for(int i = 0; i < s.size(); i++) {
        if(s[i] == 'U') {
            y++;
        }
        else if(s[i] == 'D') {
            y--;
        }
        else if(s[i] == 'R') {
            x++;
        }
        else {
            x--;
        }
    }
    if(x == 0 && y == 0) {
        cout << 0;
    }
    else {
        if(y < 0) {
            for(int i = 0; i < -y; i++) {
                cout << 'U';
            }
        }
        else {
            for(int i = 0; i < y; i++) {
                cout << 'D';
            }
        }
        if(x < 0) {
            for(int i = 0; i < -x; i++) {
                cout << 'R';
            }
        }
        else {
            for(int i = 0; i < x; i++) {
                cout << 'L';
            }
        }
    }
    return 0;
}
